CURVPI(3NCARG)

NAME
CURVPI - integrate a periodic spline curve

SYNOPSIS
FUNCTION CURVPI (XL, XU, N, X, Y, P, YP, SIGMA)

This function calculates an integral between two specified limits. CURVP1 must be called prior to calling CURVPI, and the values thus obtained used as input to CURVPI. The value of the integral is returned.

DESCRIPTION

XL  (real, input) The lower limit of the integration.

XR  (real, input) The upper limit of the integration.

N   (real, input) The number of input data values. (N > 1)

X   (real, input) An array containing the abscissae for the input function.

Y   (real, input) An array containing the functional values of the input function -- Y(K) is the (real, input) functional value at X(K) for K=1,N.

P   (real, input) The period of the function.

YP  (real, input) Contains values for the second derivative (as calculated by CURV1).

SIGMA
    (real, input) Tension factor. Values near zero result in a cubic spline; large values (e.g. 50) result in nearly a polygonal line. A typical value is 1.

RETURN VALUE
CURVPI returns the integral of the interpolated curve between the specified limits.

ACCESS
To use CURVPI, load the NCAR Graphics library ngmath.

SEE ALSO
curv1, fitgrid_params.

Complete documentation for Fitgrid is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/fitgrid/fithome.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research

The use of this Software is governed by a License Agreement.